This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 892069 - [i18n] progress.py strings not marked for translation: "When you are ready"
[i18n] progress.py strings not marked for translation: "When you are ready"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 23:02 EST by Steve Tyler
Modified: 2013-05-09 23:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-09 23:55:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing English strings instead of Spanish strings (39.64 KB, image/png)
2013-01-04 23:02 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2013-01-04 23:02:17 EST
Created attachment 672662 [details]
screenshot showing English strings instead of Spanish strings

Description of problem:

The completion message and the Quit button label are not marked for translation:

$ less -N anaconda-18.37.10-1/pyanaconda/ui/gui/hubs/progress.py
...
    179             continueText.set_text("%s is now successfully installed on your system and ready"
    180                                   "for you to use!  When you are ready, reboot your system to start using it!")
    181             self.continueButton.set_label("_Quit")
...

Version-Release number of selected component (if applicable):
anaconda-18.37.10-1

How reproducible:
Always.

Steps to Reproduce:
1. Install in Spanish.

Actual results:
Some strings are displayed in English instead of in Spanish.
See attached screenshot.

Expected results:
All strings are displayed in Spanish.

Additional info:
The string "When you are ready" is not in Transifex:
https://fedora.transifex.com/projects/p/anaconda/resource/master/l/es/view/

The string "Quit" is translated, but it is still displayed in English.
Comment 1 Steve Tyler 2013-01-04 23:12:12 EST
This bug can be fixed at the same time:

Bug 884373 - missing space in Live CD install completion message: "... readyfor you to use! ..."
Comment 2 Adam Williamson 2013-05-09 23:55:15 EDT
Tested with F19 Beta TC3. The positioning of the bits in Spanish are a bit odd - they bash right up against the sides of the screen - but everything's translated.

Note You need to log in before you can comment on or make changes to this bug.